## org.apache.xpath.axes
Interface PathComponent

All Known Implementing Classes:
  AxesWalker, LocPathIterator, NodeSequence, UnionPathIterator, Variable

public interface PathComponent

Classes who implement this information provide information needed for static analysis of a path component.

Method Summary
`int` `getAnalysisBits()` Get the analysis bits for this path component, as defined in the WalkerFactory.

Method Detail

### getAnalysisBits

    public int getAnalysisBits()

  Get the analysis bits for this path component, as defined in the WalkerFactory.
  Returns:
    One of WalkerFactory#BIT_DESCENDANT, etc.

Copyright © 2006 Apache XML Project. All Rights Reserved.